<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/StatementT.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::StatementT</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-template">template &lt;<span class="keyword">typename</span> T&gt;</div><div class="class-name">class StatementT

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Lists.hh.html" target="detail">../Synopsis/PTree/Lists.hh</a></div> <div class="xref"><a href="../../../XRef/xref13.html#Synopsis_mPTree_mStatementT" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line263" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="StatementT-inheritance" src="StatementT-inheritance.png" hspace="8" vspace="8" border="0" usemap="#StatementT-inheritance_map" />
<map name="StatementT-inheritance_map"><area alt="Scopes/Synopsis/PTree/WhileStatement.html" href="WhileStatement.html" shape="rect" coords="5, 230, 219, 254" />
<area alt="Scopes/Synopsis/SymbolLookup/TypeError.html" href="../SymbolLookup/TypeError.html" shape="rect" coords="243, 230, 475, 254" />
<area alt="Scopes/Synopsis/PTree/IfStatement.html" href="IfStatement.html" shape="rect" coords="499, 230, 688, 254" />
<area alt="Scopes/Synopsis/PTree/ContinueStatement.html" href="ContinueStatement.html" shape="rect" coords="712, 230, 944, 254" />
<area alt="Scopes/Synopsis/PTree/ReturnStatement.html" href="ReturnStatement.html" shape="rect" coords="968, 230, 1187, 254" />
<area alt="Scopes/Synopsis/PTree/ExprStatement.html" href="ExprStatement.html" shape="rect" coords="1211, 230, 1419, 254" />
<area alt="Scopes/Synopsis/PTree/GotoStatement.html" href="GotoStatement.html" shape="rect" coords="1443, 230, 1651, 254" />
<area alt="Scopes/Synopsis/PTree/BreakStatement.html" href="BreakStatement.html" shape="rect" coords="1675, 230, 1888, 254" />
<area alt="Scopes/Synopsis/PTree/ForStatement.html" href="ForStatement.html" shape="rect" coords="1912, 230, 2112, 254" />
<area alt="Scopes/Synopsis/PTree/DoStatement.html" href="DoStatement.html" shape="rect" coords="2136, 230, 2333, 254" />
<area alt="Scopes/Synopsis/PTree/LabelStatement.html" href="LabelStatement.html" shape="rect" coords="2357, 230, 2568, 254" />
<area alt="Scopes/Synopsis/SymbolLookup/InternalError.html" href="../SymbolLookup/InternalError.html" shape="rect" coords="2592, 230, 2840, 254" />
<area alt="Scopes/Synopsis/PTree/CaseStatement.html" href="CaseStatement.html" shape="rect" coords="2864, 230, 3072, 254" />
<area alt="Scopes/Synopsis/PTree/TryStatement.html" href="TryStatement.html" shape="rect" coords="3096, 230, 3296, 254" />
<area alt="Scopes/Synopsis/PTree/SwitchStatement.html" href="SwitchStatement.html" shape="rect" coords="3320, 230, 3539, 254" />
<area alt="Scopes/Synopsis/PTree/DefaultStatement.html" href="DefaultStatement.html" shape="rect" coords="3563, 230, 3784, 254" />
<area alt="Scopes/Synopsis/PTree/List.html" href="List.html" shape="rect" coords="1824, 81, 1968, 105" />
<area alt="Scopes/Synopsis/PTree/Node.html" href="Node.html" shape="rect" coords="1820, 6, 1972, 30" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="StatementT_lNode_S_cNode_S_r">StatementT</a>(<a href="Node.html" >Node</a>* <span class="variable">p</span>, <a href="Node.html" >Node</a>* <span class="variable">q</span>)  </div> <div class="xref"><a href="../../../XRef/xref13.html#Synopsis_mPTree_mStatementT_mStatementT_lNode_S_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line266" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref13.html#Synopsis_mPTree_mStatementT_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line267" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Public Member functions Inherited from List">
<tr><td colspan="2" class="heading">Public Member functions Inherited from List</td></tr>
<tr><td class="inherited"><a href="List.html#is_atom_l_rconst" title="member function List::is_atom&#40;&#41;const">is_atom</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:47 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
